org.apache.lucene.codecs.intblock

## Interface VariableIntBlockIndexInput.BlockReader

- Enclosing class:
    VariableIntBlockIndexInput

      public static interface VariableIntBlockIndexInput.BlockReader

  Interface for variable-size block decoders.

  Implementations should decode into the buffer in `readBlock()`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `readBlock()`
    `void` | `seek(long pos)`

- - ### Method Detail

    - #### readBlock

          int readBlock()
                        throws IOException

      Throws:
        `IOException`

    - #### seek

          void seek(long pos)
                    throws IOException

      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.